Code Versions - Publish
Publish version asset into registry.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/codes/{name}/versions/{version}/publish?api-version=2025-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Container name. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
version
|
path | True |
string |
Version identifier. |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Name of Azure Machine Learning workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| destinationName |
string |
Destination asset name |
| destinationVersion |
string |
Destination asset version |
| registryName |
string |
Destination registry name |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 202 Accepted |
Accepted Headers
|
|
| Other Status Codes |
Error |
Examples
Publish Workspace Code Version.
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/codes/string/versions/string/publish?api-version=2025-09-01
{
"registryName": "string",
"destinationName": "string",
"destinationVersion": "string"
}
Sample response
Location: example_location
Definitions
| Name | Description |
|---|---|
|
Destination |
Publishing destination registry asset information |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
DestinationAsset
Publishing destination registry asset information
| Name | Type | Description |
|---|---|---|
| destinationName |
string |
Destination asset name |
| destinationVersion |
string |
Destination asset version |
| registryName |
string |
Destination registry name |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |